package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CecmameMapper {

    int insert(Cecmame record);

    int insertSelective(Cecmame record);

    int updateByPrimaryKeySelective(Cecmame record);

    int updateByPrimaryKey(Cecmame record);

    int deleteByPrimaryKey(Cecmame record);

    int deleteByIds(Collection<Object> collection);

    Cecmame selectByPrimaryKey(Cecmame record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cecmame> dyncRead(Map<String,Object> dyncMap);

    Cecmame selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);

}